#ifndef _FS_BOARD_BORDER_H
#define _FS_BOARD_BORDER_H

#include "freesweeper.h"

struct border
{
	QList<int> o_x;	// opened squares
	QList<int> o_y;
	QList<square*> c;	// closed squares
	QMap<int,int> mob;	// n(mines on border) -> n(solutions);
	QMap<int,int> moeb;	// mines on external border;
	int max_pmines;		// maximal number of mines in solutions
	int min_pmines;		// minimal number of mines in solutions
};

#endif

