#ifndef _FS_CLICKEVENTS_H
#define _FS_CLICKEVENTS_H

#include "freesweeper.h"

enum chartevent
{
	ce_left_press=1,ce_left_click=2,
	ce_right_press=3,ce_right_click=4,
	ce_middle_press=5,ce_middle_click=6,
	ce_opening_hit=7,ce_opening_jump=8,
	ce_island_jump=9,ce_island_jump_2=10
};

class clickevents
{
public:
	QVector<int> beg_times;
	QVector<int> end_times;
	QVector<int> events;

	clickevents();
	
	void add(int time,chartevent ce);
	void reset();
};

#endif

