#ifndef _FS_EVALUABLE_H
#define _FS_EVALUABLE_H

#include "formulaid.h"

class formula
{
public:
	formula_id id;
	formula* op1;
	formula* op2;
	union
	{
		double value;
		int intvalue;
	};

	formula();
	formula(formula* f);
	~formula();

	QString print();
};


const int default_precision=3;
class c_formula
{
public:
	c_formula_type type;
	formula* f;
	int precision;
	QString separator;
	c_formula* tail;

	c_formula();
	~c_formula();

	QString print();
};

class evaluable_string
{
public:
	QList<QString> strs;
	QList<c_formula*> fs;
	
	QString print();
	
	~evaluable_string();
};

#endif

