#ifndef _FS_HISCORESWINDOW_H
#define _FS_HISCORESWINDOW_H

#include "freesweeper.h"
#include "translation.h"
#include "skin.h"

class hiscores_window : public QDialog
{
	Q_OBJECT

	QGridLayout* wlayout;
	QGridLayout* layout;
	
	QGroupBox gr;
	QPushButton b_ok;
	QPushButton b_reset;
public:
	QLabel l[n_stand_levels];
	QLabel hs[n_stand_levels];
	QLabel n[n_stand_levels];

	translation* T;

	hiscores_window(translation* T,skin* sk);
	~hiscores_window();

	virtual void showEvent(QShowEvent* e);
private slots:
	void reset();
signals:
	void reset_hiscores();
};

#endif

