#include "rank.h"

rank::rank(formula* f,bool lower_is_better):f(f),lower_is_better(lower_is_better),current(0)
{
}

rank::~rank()
{
	if(f) delete f;
}

void rank::add(int level,double value)
{
	current = t[level].insert(value,lower_is_better);
}

QString rank::print()
{
	return f->print()+" | "+(lower_is_better?'<':'>');
}

