#ifndef _FS_RANK_H
#define _FS_RANK_H

#include "freesweeper.h"
#include "ranktree.h"
#include "evaluable.h"

class rank
{
public:
	rank_tree t[n_stand_levels+1];
	formula* f;
	bool lower_is_better;
	int current;	// this variable contains the rank of the last added node
	
	rank(formula* f,bool lower_is_better);
	~rank();
	
	void add(int level,double value);
	
	QString print();
};

#endif

