#ifndef _FS_RECORD_H
#define _FS_RECORD_H

#include "freesweeper.h"

enum record_state
{
	rs_no_record=0,
	rs_has_record_and_name=1,
	rs_has_record_without_name=2
};

class record
{
public:
	bool lower_is_better;
	bool popup;
	
	double global[n_stand_levels+1];
	QString n_global[n_stand_levels+1];
	QDateTime d_global[n_stand_levels+1];
	record_state has_global[n_stand_levels+1];
	
	double f[n_stand_levels+1];
	QString n_f[n_stand_levels+1];
	QDateTime d_f[n_stand_levels+1];
	record_state has_f[n_stand_levels+1];
	
	double nf[n_stand_levels+1];
	QString n_nf[n_stand_levels+1];
	QDateTime d_nf[n_stand_levels+1];
	record_state has_nf[n_stand_levels+1];
	
	record();
	record(bool lower_is_better,bool popup=false);

	void set_global(int level,double val,bool f,const QDateTime d=QDateTime::currentDateTime());
	void set_f(int level,double val,const QDateTime d=QDateTime::currentDateTime());
	void set_nf(int level,double val,const QDateTime d=QDateTime::currentDateTime());

	QString check(int level,double val,bool f,const QDateTime d=QDateTime::currentDateTime());	
	// returns the prefix for the popup message

	void set_name(const QString& name,int level);
};

#endif

