#ifndef _FS_VIDEOEVENT_H
#define _FS_VIDEOEVENT_H

enum videoeventid
{
	ve_no_event=-1,
	
	// mouse events
	me_left_press=0,
	me_left_click=1,
	me_right_press=2,
	me_right_click=3,
	me_mouse_move=4,
	me_middle_press=5,
	me_middle_click=6,
	
	me_left_press_with_shift=7,
	me_left_click_with_shift=8,
		
	me_unblast=9,

	
	// scroll events
	se_scroll_x=16,
	se_scroll_y=17,
	
	// game events
	ge_start_board=128,
	ge_term_won=129,
	ge_term_lost=130,
	ge_term_weird=131,
	
	// board events
	be_closed=256,
	be_pressed=257,
	be_flag=258,
	be_qm=259,
	be_pressedqm=260,
	be_blast=261,
	be_num0=262,
	be_num1=263,
	be_num2=264,
	be_num3=265,
	be_num4=266,
	be_num5=267,
	be_num6=268,
	be_num7=269,
	be_num8=270,
};

struct video_event
{
	int timestamp;
	int id;
	int x,y;
	video_event(){timestamp=-1;id=-1;x=y=0;}
	video_event(int t,int e,int x,int y):timestamp(t),id(e),x(x),y(y){}
};

#endif

