#ifndef _FS_H_CLOUD_H
#define _FS_H_CLOUD_H

#include "history.h"

class cloud : public QWidget
{
	Q_OBJECT
	
	void drawpoint(QPainter& p, int x,int y,double oldness);
	void draw_gray(QPainter& p,const int frame_size);
public:
	double min_x,max_x;
	double min_y,max_y;
	double step_x,step_y;
	QVector< QPair<double,double> > data;
	QColor color_new,color_border_new;
	QColor color_old,color_border_old;
	QString x_axis,y_axis;
	int prec;
	bool draw_lines;
	bool draw_hyperbolas;
	
	cloud();

	void reset();
	void add_point(double x,double y);
	void choose_step_x();
	void choose_step_y();
	
	virtual void paintEvent(QPaintEvent* e);	
};

#endif
