#ifndef _FS_TRANSLATION_H
#define _FS_TRANSLATION_H

#include "history.h"

enum interface_string_id
{
	ins_beg,ins_int,ins_exp,ins_mega,ins_cus,
	ins_tt,ins_m_cus,
	ins_overall,ins_fl,ins_nf,
	ins_reset,ins_load_history,
	ins_sure,
	ins_ok,ins_cancel,
	ins_request_mines,
	
	ins_game,ins_options,ins_irc,ins_about,
	ins_new,ins_restart,ins_restart_blast,
	ins_marathons,ins_new_mar,
	ins_preview_vid,ins_load_vid,ins_save_vid,ins_load_brd,ins_save_brd,
	ins_show_hs,ins_show_ahs,ins_show_hist,ins_exit,
	
	ins_classic,ins_luck,ins_dens,ins_upk,ins_cheat,ins_edit,
	ins_show_options,ins_edit_ctr,ins_edit_as,ins_select_skin,ins_edit_cm,
	
	ins_info_fin,ins_info_blast,ins_info_mar,ins_info_rec,ins_info_avg,ins_info_ar,
	ins_info_beg,ins_info_int,ins_info_exp,ins_edit_irc,ins_edit_fin,ins_edit_blast,
	ins_edit_dens,ins_edit_dens_b,ins_edit_cheat,ins_edit_cheat_b,ins_edit_video,ins_edit_video_b,
	ins_edit_mar,ins_autocopy_fin,ins_autocopy_blast,ins_about_fs,ins_about_qt,
	ins_have_new,ins_hi_score,ins_hi_scores,
	ins_request_name,ins_grats,ins_corr_vid,ins_corr_vid_brd,ins_no_vid,ins_no_brd,
	ins_anon,
	
	ins_label,ins_condition,ins_filename,ins_folder,ins_browse,ins_popup_msg,ins_apply,
	ins_add,ins_remove,ins_open_fe,ins_autosave,ins_popup,ins_save_as_rawvf,ins_terminal,
	ins_choose_folder,ins_request_cond_name,ins_request_filename,ins_doesnt_exist,
	
	ins_e_open_autosave,ins_e_open_file,ins_e_corrupt_rawvf,ins_e_rawvf_marathon,ins_e_invalid_mine,
	ins_e_unknown_brd,ins_e_large_board,ins_e_no_brd,ins_e_brd_mines,ins_e_iter,ins_e_open_vid,
	ins_e_inv_ev,ins_e_open_counters,ins_e_open_records,
	
	ins_iter,ins_counters,ins_benchmarks,ins_speed,ins_quality,ins_eff,ins_click_rate,ins_flags,
	ins_brd_prop,ins_ranks,ins_custom_ind,ins_add_ctr,ins_cus_ctr_mgr,ins_locked,ins_request_ind_name,
	ins_formula,ins_decimal,ins_better_is,ins_records,ins_lower,ins_higher,ins_precision,
	
	ins_up,ins_down,ins_width,ins_height,ins_mines,
	ins_formula_editor,
	ins_time,ins_estimate,
	ins_3bv,ins_solved3bv,ins_3bvs,
	ins_zini,ins_zinis,
	ins_hzini,ins_hzinis,
	ins_ops,ins_ops_hit,
	ins_isls,ins_isls_solved,
	ins_cl,ins_cl_s,ins_w_cl,
	ins_l_cl,ins_l_cl_s,ins_w_l_cl,
	ins_r_cl,ins_r_cl_s,ins_w_r_cl,
	ins_d_cl,ins_d_cl_s,ins_w_d_cl,
	ins_cl_15,ins_cl_15_s,ins_w_cl_15,
	ins_rqp,ins_ios,
	ins_ioe,ins_thrp,ins_corr,
	ins_wall_mines,ins_corner_mines,
	ins_level,ins_mode,
	ins_sh_squares,
	ins_ones,ins_twos,ins_threes,ins_fours,ins_fives,ins_sixes,ins_sevens,ins_eights,int_numbers,
	ins_sh_ones,ins_sh_twos,ins_sh_threes,ins_sh_fours,ins_sh_fives,ins_sh_sixes,ins_sh_sevens,
	ins_sh_eights,ins_sh_numbers,ins_and,ins_or,
	ins_High_scores,ins_e_open_history_dens,ins_e_create_history,ins_e_open_ranks,ins_e_open_history,
	ins_e_open_irc,
	ins_fin,ins_fin_dens,ins_fin_cheat,ins_fin_video,
	ins_blast,ins_blast_dens,ins_blast_cheat,ins_blast_video,ins_marathon,ins_request_template,
	ins_name_query,ins_empty_name_label,
	ins_classic_opts,
	ins_tenth_timer,ins_reveal_after_end,ins_flag_after_end,ins_null_after_end,
	ins_qmarks,ins_wide_smiley,ins_clear_board,ins_perc_compl,
	ins_hide_timer,ins_force_nf,ins_at_top,ins_mark_wasted,ins_dont_show,ins_hide_until_end,ins_show_stats,
	ins_docked,ins_separated,ins_wheel,ins_new_game,ins_chord,ins_restart_by_limit,ins_beep_by_limit,
	ins_luck_opts,ins_luck_lib,ins_luck_solv,ins_dens_opts,ins_cus_width,ins_cus_height,ins_cus_mines,
	ins_cheat_opts,ins_restrict_3bv,ins_min_3bv,ins_max_3bv,ins_restrict_zini,ins_min_zini,ins_max_zini,
	ins_restrict_hzini,ins_min_hzini,ins_max_hzini,ins_seven_on_board,ins_eight_on_board,ins_generation_iterations,
	ins_lives,ins_none,ins_several,ins_infinite,ins_show_board,ins_show_prob,ins_autoflag,ins_lawnmower,
	ins_elmart,ins_nonomouse,ins_superclick,ins_superflag,
	ins_unexpected_end,ins_id_or_number,ins_bracket_db,ins_bracket,ins_garbage,ins_expr_err,ins_was_noticed,
	ins_form_err,ins_str_err,ins_2_arg_or,ins_2_arg_and,ins_sqbracket_db,ins_comparison,
	ins_2_arg_plus,ins_2_arg_minus,ins_2_arg_times,ins_2_arg_div,ins_2_arg_pow,ins_unknown_id,
	ins_cf_err,ins_will_be_reset,ins_as_err,ins_mouse_path,ins_reveal_squares,ins_event,ins_video_control,
	ins_Blast,ins_wasted_click,ins_guessed_click,ins_misflag,ins_wasted_flag,ins_guessed_flag,
	ins_unflag,ins_misunflag,ins_wasted_chord,ins_wasted_chord_15,ins_hesitation,ins_rilian_click,
	ins_question,ins_e_open_skin,ins_autosave_editor,ins_counters_editor,ins_cm_editor,ins_end
};
const int n_interface_strings=ins_end+1;

class translation
{
public:
	QString str[n_interface_strings];
	QString path;
	
	void load(const QString& translation);
	void save(const QString& translation);
};

#endif

