#ifndef _FS_DISPLAY_H
#define _FS_DISPLAY_H

#include "freesweeper.h"
#include "skin.h"

class display : public QWidget
{	
	Q_OBJECT

	QPainter painter;
	QLabel lbl[4];

	void show();
	void correct_tenth(int& tenth);
public:
	int state;
	int tenth_state;
	bool active;
	bool has_tenth;
	skin* sk;

	display(skin* s);
public slots:
	void show(int num);
	void show_tenth(int tenth);
	void show_time(int curtime);
	void decrement();
	void increment();
	void switch_display(bool enabled);

	void switch_tenth(bool enabled);

	virtual void mouseDoubleClickEvent(QMouseEvent* e);
	virtual void paintEvent(QPaintEvent* e);
signals:
	void double_click();
};


#endif

