#ifndef _FS_SETTINGS_NAMES_H
#define _FS_SETTINGS_NAMES_H
// this file defines the names of standard settings

// general settings
const QString sSkin="Skin";
const QString sTranslation="Translation";
const QString sMode="Mode";
const QString sLevel="Level";

const QString sDateTemplate="DateTemplate";

const QString sWidth="Width";
const QString sHeight="Height";
const QString sMines="Mines";

// window settings
const QString sMainWindowX="MainWindowX";
const QString sMainWindowY="MainWindowY";
const QString sWindowsYFix="WindowsYFix";
const QString sStayOnTop="StayOnTop";

const QString sHiScoresWindowX="HiScoresWindowX";
const QString sHiScoresWindowY="HiScoresWindowY";
const QString sAHiScoresWindowX="HiScoresAdvWindowX";
const QString sAHiScoresWindowY="HiScoresAdvWindowY";
const QString sCountersWindowX="CountersWindowX";
const QString sCountersWindowY="CountersWindowY";
const QString sVideoControlWindowX="VideoControlWindowX";
const QString sVideoControlWindowY="VideoControlWindowY";
const QString sOptionsWindowX="OptionsWindowX";
const QString sOptionsWindowY="OptionsWindowY";

// game settings
const QString sPlayer="Player";
const QString sHideTimer="HideTimer";
const QString sNullMinesCounter="NullMinesCounterAfterWin";
const QString sTimerWithTenths="TimerWithTenths";
const QString sWideSmileyArea="WideSmileyArea";

const QString sRestartByTimeLimit="RestartByTimeLimit";
const QString sRestartBegLimit="RestartLimitBeg";
const QString sRestartIntLimit="RestartLimitInt";
const QString sRestartExpLimit="RestartLimitExp";

const QString sBeepByTime="BeepEnabled";
const QString sBeepBeg="BeepBeg";
const QString sBeepInt="BeepInt";
const QString sBeepExp="BeepExp";

const QString sIRCCopyLast="IRCCopyFinishedGames";
const QString sIRCCopyBlast="IRCCopyBlastedGames";

const QString sVideoDir="VideoDirectory";
const QString sBoardDir="BoardDirectory";

const QString sMarathonLength="MarathonLength";
const QString sTimeTrial="TimeTrial";

// counters
const QString sCountersLocked="CountersLocked";
const QString sCountersAttached="CountersAttached";
const QString sShowCounters="ShowCountersDuringPlay";
const QString sShowCountersWindow="ShowCountersWindow";
const QString sCountersSeparated="CountersSeparated";

const QString sCountersX="CountersWindowX";
const QString sCountersY="CountersWindowY";

const QString sEnableStandardCountersEditing="EnableStandardCountersEditing";

// history
const QString sDensityThreshold="DensityThreshold";

// hi-scores
const QString sRecordsOnAHSWindow="NumberOfRecordsOnAdvancedHiScoresWindow";

// video settings
const QString sVideoMousePath="VideoMousePath";
const QString sVideoOpenings="VideoOpenings";
const QString sVideoShowBoard="VideoShowBoard";
const QString sGoToEventOffset="VideoGoToEventOffset";

// board settings
const QString sBoardHeight="BoardHeight";
const QString sBoardWidth="BoardWidth";
const QString sBoardMines="BoardMines";

const QString sBoardMaximalWidth="BoardMaximalWidth";
const QString sBoardMaximalHeight="BoardMaximalHeight";

const QString sCustomHeight="CustomHeight";
const QString sCustomWidth="CustomWidth";
const QString sCustomMines="CustomMines";

const QString sCustomMarathonLength="CustomMarathonLength";
const QString sCustomMarathonBoard="CustomMarathonBoard";

const QString sWheelAsChord="WheelAsChord";
const QString sRevealBoardAfterBlast="RevealBoardAfterBlast";
const QString sForceNF="ForceNF";
const QString sFlagMinesAfterWin="FlagMinesAfterWin";
const QString sShowWastedFlagsAfterEnd="ShowWastedFlagsAfterEnd";
const QString sClearBoardThreshold="ClearBoardThreshold";

const QString sQuestionMarks="QuestionMarks";

const QString sLuckLibrary="LuckLibrary";
const QString sLuckSolver="LuckSolver";
const QString sLuckIterations="LuckIterations";

const QString sLives="Lives";

const QString sSuperClick="SuperClick";
const QString sSuperFlag="SuperFlag";
const QString sElmarTechnique="ElmarTechnique";
const QString sNonoMouse="NonoMouse";
const QString sAutoFlag="AutoFlag";
const QString sShowProbabilities="ShowProbabilities";
const QString sProbabilitiesIterations="IterationsProbabilities";
const QString sShowBoard="ShowBoard";
const QString sLawnmower="Lawnmower";

const QString sGenerationIterations="IterationsGeneration";
const QString sDemandSevenOnBoard="DemandSevenOnBoard";
const QString sDemandEightOnBoard="DemandEightOnBoard";
const QString sRestrictBBBV="Restrict3BV";
const QString sRestrictZiNi="RestrictZiNi";
const QString sRestrictHZiNi="RestrictHZiNi";
const QString sBBBVLowerLimit="Limit3BVLower";
const QString sBBBVUpperLimit="Limit3BVUpper";
const QString sZiNiLowerLimit="LimitZiNiLower";
const QString sZiNiUpperLimit="LimitZiNiUpper";
const QString sHZiNiLowerLimit="LimitHZiNiLower";
const QString sHZiNiUpperLimit="LimitHZiNiUpper";

const QString sCloneEvents="CloneEventsEnabled";
const QString sCloneHesitationTime="CloneEventsHesitationTime";
#endif

