#ifndef _FS_SETTINGS_H
#define _FS_SETTINGS_H

#include "freesweeper.h"

class settings
{
	QMap<QString,QString> data;
	QFile store;

public:
	settings(const QString& filename);

	void defaultsettings();
	void defaultskin();

	QString get(const QString& name);
	int getint(const QString& name);
	double getdouble(const QString& name);

	void set(const QString& name, const QString& value);
	void set(const QString& name,int value);
	void set(const QString& name,double value);

	bool read(const QString& err_msg);
	bool write(const QString& err_msg);
};

#endif

