#ifndef _FS_SMILEY_H
#define _FS_SMILEY_H

#include "freesweeper.h"
#include "skin.h"

class smiley : public QWidget
{
	Q_OBJECT

	QPixmap *p;
	QPixmap *pp;
	QPainter painter;
	bool left,right,ins;
	
	bool inside(QMouseEvent* e);
public:
	skin* sk;

	bool allowed_set_mode;
	gamemode mode;
	
	smiley(skin* sk,gamemode mode);

	bool is_legal_mode();

public slots:
	void stress();
	void unstress();
	void changed_state(boardstate state);
	void set_mode(int mode);
	void set_mode_without_restart(int mode);	
	void force_new_game();

	void press(Qt::MouseButton b);
	void release(Qt::MouseButton b);
	void cancel();
	void mouse_return();

	virtual void mousePressEvent(QMouseEvent* e);
	virtual void mouseReleaseEvent(QMouseEvent* e);
	virtual void mouseMoveEvent(QMouseEvent* e);
	virtual void paintEvent(QPaintEvent* e);
signals:
	void changed_mode(gamemode mode);
	void new_game();
};

#endif

