#ifndef _FS_H_HISTOGRAM_H
#define _FS_H_HISTOGRAM_H

#include "history.h"

class histogram : public QWidget
{
	Q_OBJECT
public:
	bool has_min_x,has_max_x;
	double min_x,max_x;
	double step_x;
	int min_y,max_y; 
	int num_bars;
	bool strings_on_x;
	int prec;
	bool show_first;
	
	QString x_axis;
	QString y_axis;
	QColor color;
	QColor color_border;
	
	QVector<double> data;
	QVector<QString> strings;
	QMap<int,int> map;
	
	histogram();
	~histogram();
	
	void reset();
	void fill_map();
	void add_result(double d);
	
	virtual void paintEvent(QPaintEvent* e);
};

#endif

