#ifndef _FS_H_SETTINGS_H
#define _FS_H_SETTINGS_H

#include "history.h"

class settings
{
	QMap<QString,QString> data;
	QFile store;

public:
	settings(const QString& filename);

	QString get(const QString& name);
	int getint(const QString& name);
	double getdouble(const QString& name);

	void set(const QString& name, const QString& value);
	void set(const QString& name,int value);
	void set(const QString& name,double value);

	bool read();
	bool write();
};

#endif

